<template>
	<view class="component-wrapper u000242" :style="wrapper_style">
		<view class="public_top">
			{{"空白"}}关联的公众号
		</view>
		<view class="public_bottom">
			<image class="img" :src="emptyImage"></image>
			<view class="info">
				<view class="public_info">{{"智慧农场"}}</view>
				<view class="public_info info_a">{{"智慧农场系统官方研发团队,数字化农业系统"}}</view>
			</view>
			<view :style="img_style">查看</view>
		</view>
	</view>
</template>
<script>
	export default {
		props: ['styles', 'datas'],
		data() {
			let siteinfo = getApp().globalData.siteinfo;
			return {
				settingFile: siteinfo,
				emptyImage: siteinfo.root_img + '/static/app/image.png',
			}
		},
		computed: {
			/** 样式 */
			wrapper_style() {
				const {
					bg_color,
					padding_top,
					padding_bottom,
					padding_left,
					padding_right,
				} = this.datas;
				return `
				min-height: 40px;
				padding: ${padding_top}px ${padding_right}px ${padding_bottom}px  ${padding_left}px;
                background-color: ${bg_color};
                background-size: 100% auto;
                bakcground-position: center;
            `;
			},

			/** 标题样式 */
			title_style() {
				const {
					text_align,
					text_size,
					text_color
				} = this.datas;
				return `
				margin-left: 10px;
                text-align: ${text_align};
                font-size: ${text_size}px;
                color: ${text_color};
            `;
			},
			//文字颜色
			weather_style() {
				const { text_color } = this.datas
				return `
				color:${text_color};
				`;
			},
			img_style() {
				const { text_color } = this.datas
				return `
				height:15px;
				font-size:14px;
				line-height:14px;
				border-radius:3px;
				padding: 5px 10px;
				text-align: center;
				margin-left:5px;
				color:${text_color};
				border:1px solid ${text_color} ;
				`;
			},

			/** 标题 */
			title() {
				return '公告内容';
			},
		},

		mounted() {
			this.$emit('loaded');
		}
	};
</script>
<style lang="less" scoped>
	.component-wrapper {
		display: block;
		max-width: 100%;
		// text-align: center;
		margin-left: auto;
		margin-right: auto;
		overflow: hidden;
		text-decoration: none;
		align-items: center;

		.public_top {
			font-size: 10px;
			color: #999;
		}

		.public_bottom {
			display: flex;
			align-items: center;
			margin-top: 10px;

			.img {
				width: 50px;
				height: 50px;
				border-radius: 25px;
				margin-right: 10px;
			}

			.info {
				width: 65%;

				.public_info {
					white-space: nowrap;
					text-overflow: ellipsis;
					overflow: hidden;
				}

				.info_a {
					font-size: 10px;
					color: #999;
					margin-top: 10px;
				}
			}
		}
	}
</style>
